cgGLIsProfileSupported(3)

NAME
cgGLIsProfileSupported - determine if a profile is supported by cgGL

SYNOPSIS
  #include <Cg/cgGL.h>
  CGbool cgGLIsProfileSupported( CGprofile profile );

PARAMETERS

profile
    The profile which will be checked for support.

RETURN VALUES
Returns CG_TRUE if profile is supported by the cgGL library.

Returns CG_FALSE otherwise.

DESCRIPTION
cgGLIsProfileSupported returns CG_TRUE if the profile indicated by profile is supported by the cgGL library. A profile may not be supported if required OpenGL extensions are not available.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgGLIsProfileSupported was introduced in Cg 1.1.

SEE ALSO
cgGLEnableProfile, cgGLDisableProfile